apiVersion: app.kiegroup.org/v1alpha1
kind: KogitoApp
metadata:
  name: kogito-visas
spec:
  build:
    gitSource:
      contextDir: 03-kogito-visas
      reference: master
      uri: 'http://mygitea.gitea.svc.cluster.local:3000/kogito-<username>/kogito-travel-agency-tutorial'
    imageRuntime:
      imageStreamNamespace: openshift
    imageS2I:
      imageStreamNamespace: openshift
    native: true
    resources:
      limits:
      - resource: cpu
        value: '1'
      - resource: memory
        value: 8Gi
      requests:
      - resource: cpu
        value: 500m
      - resource: memory
        value: 5Gi
  infra:
    installInfinispan: Never
    installKafka: Never
  env:
  - name: QUARKUS_INFINISPAN_CLIENT_SERVER_LIST
    value: kogito-infinispan:11222
  - name: QUARKUS_INFINISPAN_CLIENT_USE_AUTH
    value: 'true'
  - name: QUARKUS_INFINISPAN_CLIENT_AUTH_USERNAME
    value: developer
  - name: QUARKUS_INFINISPAN_CLIENT_AUTH_PASSWORD
    value: <changeme>
  - name: QUARKUS_INFINISPAN_CLIENT_SASL_MECHANISM
    value: PLAIN
  - name: QUARKUS_INFINISPAN_CLIENT_AUTH_REALM
    value: default
  - name: KAFKA_BOOTSTRAP_SERVERS
    value: kafka-cluster-kafka-bootstrap:9092
  - name: MP_MESSAGING_INCOMING_VISAAPPLICATIONS_BOOTSTRAP_SERVERS
    value: kafka-cluster-kafka-bootstrap:9092
  - name: MP_MESSAGING_OUTGOING_KOGITO_PROCESSINSTANCES_EVENTS_BOOTSTRAP_SERVERS
    value: kafka-cluster-kafka-bootstrap:9092 
  resources:
    limits:
    - resource: cpu
      value: 200m
    - resource: memory
      value: 200Mi
    requests:
    - resource: cpu
      value: 100m
    - resource: memory
      value: 100Mi
  runtime: quarkus